package fr.toulouse.jug.languageserver;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class LeDictionnaireToulousain {

	public static final LeDictionnaireToulousain INSTANCE = new LeDictionnaireToulousain();
	
	Set<String> allWords = new HashSet<>();
	Map<String, Collection<String>> warningWords = new HashMap<>();
	Map<String, Collection<String>> errorWords = new HashMap<>();
	
	private LeDictionnaireToulousain() {
		warningWords.put("foot", Collections.singleton("rugby"));
		warningWords.put("choucroute", Arrays.asList(new String[] {"cassoulet", "confit de canard"}));
		
		errorWords.put("pain au chocolat", Collections.singleton("chocolatine"));
		errorWords.put("sac plastique", Collections.singleton("sachet"));
		
		warningWords.values().forEach(allWords::addAll);
		errorWords.values().forEach(allWords::addAll);
	}

	public List<String> findReplacements(String word) {
		List<String> res = new ArrayList<>();
		res.addAll(errorWords.get(word));
		res.addAll(warningWords.get(word));
		return res;
	}
}
